Vulnerability CVE-2011-1419


Published: 2011-03-14   Modified: 2012-02-13

Description:
Apache Tomcat 7.x before 7.0.11, when web.xml has no security constraints, does not follow ServletSecurity annotations, which allows remote attackers to bypass intended access restrictions via HTTP requests to a web application. NOTE: this vulnerability exists because of an incomplete fix for CVE-2011-1088.

See advisories in our WLB2 database:
Topic
Author
Date
Med.
Apache Tomcat 7 ignores ServletSecurity annotations
Mark
17.03.2011

Type:

C436WE-DesignError

CVSS2 => (AV:N/AC:M/Au:N/C:P/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5.8/10
4.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
None
Affected software
Apache -> Tomcat 

 References:
http://svn.apache.org/viewvc?view=revision&revision=1079752
http://xforce.iss.net/xforce/xfdb/66154
http://xforce.iss.net/xforce/xfdb/65971
http://www.vupen.com/english/advisories/2011/0563
http://www.securityfocus.com/bid/46685
http://www.osvdb.org/71027
http://tomcat.apache.org/security-7.html
http://securityreason.com/securityalert/8131
http://secunia.com/advisories/43684
http://markmail.org/message/yzmyn44f5aetmm2r
http://markmail.org/message/lzx5273wsgl5pob6
http://marc.info/?l=tomcat-user&m=129966773405409&w=2
http://mail-archives.apache.org/mod_mbox/www-announce/201103.mbox/%3C4D6E74FF.7050106@apache.org%3E

Copyright 2020, cxsecurity.com

 

Back to Top